Skip to main content
`Ctrl`+`K`

# PetscLogHandlerGetState

Get the logging state that provides the stream of events and stages for a log handler.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerGetState(PetscLogHandler h, PetscLogState *state)

Logically collective

## Input Parameter

- h - the `PetscLogHandler`

## Output Parameter

- state - the `PetscLogState`

## Note

For a log handler started with `PetscLogHandlerStart()`, this will be the PETSc global logging state (`PetscLogGetState()`)

## See Also

Profiling, `PetscLogHandler`, `PetscLogState`, `PetscLogEventBegin()`, `PetscLogHandlerStart()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages